/*
** [E]xternal [H]otkey [C]lient
** ----------------------------
** Library for using [Control]+[Alt] hotkeys with Clocky
**
** (c) Petr Stehlik
**     Jo Even Skarstein 1998
*/


/*
** Initialise hotkeys
** ------------------
** Call this to initialise this library
*/
int initHotkeys(void);

/*
** Register a hotkey
** -----------------
** 'key' is the scancode for the hotkey you wish to register.
*/
int registerHotkey(char key);

/*
** Remove registered hotkeys
** -------------------------
** (key == -1) -> Remove all registered hotkeys
** otherwise remove 'key'.
*/
void removeHotkeys(int key);

/*
** Check hotkeys
** -------------
** Returns the value of the pressed hotkey.
** If no hotkey is pressed, or it's not one of yours, this
** function returns 0.
*/
char checkHotkeys(void);

/*
** Scancode -> ASCII
** -----------------
*/
char scan2ascii(char scan);

/*
** ASCII -> Scancode
** -----------------
*/
char ascii2scan(char ascii);